Source: haskell-wizards
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Joachim Breitner <nomeata@debian.org>,
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 8.4.3),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-control-monad-free-dev (<< 0.7),
 libghc-control-monad-free-dev (>= 0.5),
 libghc-control-monad-free-prof,
Build-Depends-Indep:
 ghc-doc,
 libghc-control-monad-free-doc,
Standards-Version: 4.5.0
Homepage: https://hackage.haskell.org/package/wizards
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-wizards
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-wizards]
X-Description: library for interrogative programs
 This library is a package designed for the quick and painless development of
 interrogative programs, which revolve around a "dialogue" with the user, who
 is asked a series of questions in a sequence much like an installation wizard.
 .
 Everything from interactive system scripts, to installation wizards, to
 full-blown shells can be implemented with the support of wizards.
 .
 It is developed transparently on top of a free monad, which separates out the
 semantics of the program from any particular interface. A variety of backends
 exist, including console-based System.Console.Wizard.Haskeline and
 System.Console.Wizard.BasicIO, and the pure System.Console.Wizard.Pure. It is
 also possible to write your own backends, or extend existing back-ends with
 new features. While both built-in IO backends operate on a console, there is
 no reason why wizards cannot also be used for making GUI wizard interfaces.

Package: libghc-wizards-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-wizards-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-wizards-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}
